using System;

internal sealed class Delegate544 : MulticastDelegate
{
	public extern Delegate Invoke(Delegate delegate_0, Delegate delegate_1);

	public static Delegate smethod_0(Delegate delegate_0, Delegate delegate_1, Delegate544 delegate544_1)
	{
		return delegate544_1(delegate_0, delegate_1);
	}

	public extern Delegate544(object object_0, IntPtr intptr_0);

	static Delegate544()
	{
		Class10.smethod_13(typeof(Delegate544).TypeHandle);
	}

	internal static Delegate544 delegate544_0;
}
